- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_account – NetApp Element Software Manage Accounts

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, destroy, or update accounts on Element SW

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
attributes - |  | List of Name/Value pairs in JSON object format.
element_username - / required |  | Unique username for this account. (May be 1 to 64 characters in length). aliases: account_id
from_name - added in 2.8 |  | ID or Name of the account to rename. Required to create an account called 'element_username' by renaming 'from_name'.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
initiator_secret - |  | CHAP secret to use for the initiator. Should be 12-16 characters long and impenetrable. The CHAP initiator secrets must be unique and cannot be the same as the target CHAP secret. If not specified, a random secret is created.
password - / required |  | Password for the specified user. aliases: pass
state - / required | Choices: present absent | Whether the specified account should exist or not.
status - |  | Status of the account.
target_secret - |  | CHAP secret to use for the target (mutual CHAP authentication). Should be 12-16 characters long and impenetrable. The CHAP target secrets must be unique and cannot be the same as the initiator CHAP secret. If not specified, a random secret is created.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Account
      na_elementsw_account:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        element_username: TenantA

    - name: Modify Account
      na_elementsw_account:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        status: locked
        element_username: TenantA

    - name: Rename Account
      na_elementsw_account:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        element_username: TenantA_Renamed
        from_name: TenantA

    - name: Rename and modify Account
      na_elementsw_account:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        status: locked
        element_username: TenantA_Renamed
        from_name: TenantA

    - name: Delete Account
      na_elementsw_account:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent
        element_username: TenantA_Renamed

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.